import request from '@/utils/request'

// 查询多目标集群信息列表
export function listFormation(query) {
  return request({
    url: '/uavps/formation/list',
    method: 'get',
    params: query
  })
}

// 查询多目标集群信息详细
export function getFormation(id) {
  return request({
    url: '/uavps/formation/' + id,
    method: 'get'
  })
}

// 新增多目标集群信息
export function addFormation(data) {
  return request({
    url: '/uavps/formation',
    method: 'post',
    data: data
  })
}

// 修改多目标集群信息
export function updateFormation(data) {
  return request({
    url: '/uavps/formation',
    method: 'put',
    data: data
  })
}

// 删除多目标集群信息
export function delFormation(id) {
  return request({
    url: '/uavps/formation/' + id,
    method: 'delete'
  })
}
